import { HtkConfig } from './config';
export declare class HideWarningServer {
    private config;
    private options;
    constructor(config: HtkConfig, options?: {
        delay: number | undefined;
    });
    private server;
    completedPromise: Promise<void>;
    start(targetUrl: string): Promise<void>;
    get host(): string;
    get hideWarningUrl(): string;
    stop(): Promise<void>;
}
